Bug 851758 - RFE: ibus does not honor the default input method configured in ibus-setup
RFE: ibus does not honor the default input method configured in ibus-setup
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: ibus (Show other bugs)
18
All Linux
unspecified Severity medium
: ---
: ---
Assigned To: fujiwara
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-08-25 05:51 EDT by Cheng-Chia Tseng
Modified: 2015-05-22 23:58 EDT (History)
5 users (show)

See Also:
Fixed In Version: ibus-1.5.3-1.fc18
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-08-12 13:57:25 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Patch for setup/main.py (1.64 KB, patch)
2012-08-27 04:26 EDT, fujiwara
no flags Details | Diff
Patch for setup.ui (2.80 KB, patch)
2013-07-18 04:28 EDT, fujiwara
no flags Details | Diff

  None (edit)
Description Cheng-Chia Tseng 2012-08-25 05:51:27 EDT
Description of problem:
I am a Chinese (Taiwan) user.

I use ibus-setup to configure the default input method I want to use. I have selected "English (US)" as the default. However, ibus always give me ibus-chewing first after I log in GNOME.

Version-Release number of selected component (if applicable):
1.4.99.20120717

How reproducible:
Always

Steps to Reproduce:
1. execute "ibus-setup", switch to "input method" tab.
2. I move English (US) to the top of the list while I am in zh_TW locale.
3. relogin, and you see the input method indicator showing ibus-chewing is active. 
  
Actual results:
ibus-chewing as default.

Expected results:
The method you set in ibus-setup should be the default one.

Additional info:
Comment 1 Cheng-Chia Tseng 2012-08-25 05:58:37 EDT
I set my input methods in this order below:
1. Englisht (US) 
2. Canjie 5th Generation
3. Chewing
4. Inteligent Pinyin
5. Anthy

The ibus of this version give me this order:
1. Chewing
2. English (US)
3. Canjie 5th Generation
4. Inteligent Pinyin
5. Anthy
Comment 2 fujiwara 2012-08-27 04:26:55 EDT
Created attachment 607161 [details]
Patch for setup/main.py

The workaround is to press Ctrol+space after update the order with ibus-setup.

Here is the tentative patch to set dconf value "engines_order".
Comment 3 fujiwara 2012-08-28 21:17:42 EDT
Changing the severity since I think the workaround works.
Comment 4 Peng Huang 2012-08-29 14:04:37 EDT
The order of engines is not fixed. Engines are sorted by recent usage. So when you login, the recent used engine will be active.

That means, in last desktop session, you log out with chewing is active, when you log in again, ibus will enable chewing for you. If you log out with English engine, ibus will enable English engine.


So I think it is not a bug.
Comment 5 Cheng-Chia Tseng 2012-09-06 06:23:29 EDT
Sorry, I don't know ibus have that behavior. :P

The description in preference does not mention the behavior that ibus is going to remember the engine state from last session. I think this behavior is confusing some users like me.

If this is not a bug, I think that it is better to make it clear in the box. Or to make it match the behavior - default one is always the one you use since login, as people's understanding from the description reading.
Comment 6 fujiwara 2012-09-06 21:35:17 EDT
(In reply to comment #5)
> Sorry, I don't know ibus have that behavior. :P
> 
> The description in preference does not mention the behavior that ibus is
> going to remember the engine state from last session. I think this behavior
> is confusing some users like me.
> 
> If this is not a bug, I think that it is better to make it clear in the box.
> Or to make it match the behavior - default one is always the one you use
> since login, as people's understanding from the description reading.

Currently I'm thinking to remove Up/Down buttons on the setup and sort engines by names in both setup and ibus icon menu.
Then input method switcher window only will shows the current order.
Comment 7 Cheng-Chia Tseng 2012-09-07 04:39:03 EDT
(In reply to comment #6)
> 
> Currently I'm thinking to remove Up/Down buttons on the setup and sort
> engines by names in both setup and ibus icon menu.
> Then input method switcher window only will shows the current order.

Sounds reasonable.

Plus, from my point of view, I think it will be also good to let users check ibus to remember the engine used from last session or not. It is only my suggestion though.
Comment 8 Cheng-Chia Tseng 2012-09-07 04:42:14 EDT
(In reply to comment #6)
> 
> Currently I'm thinking to remove Up/Down buttons on the setup and sort
> engines by names in both setup and ibus icon menu.
> Then input method switcher window only will shows the current order.

Well, does this mean that "default" engine will not be able to set up?
Comment 9 fujiwara 2012-09-07 04:51:49 EDT
(In reply to comment #8)
> (In reply to comment #6)
> > 
> > Currently I'm thinking to remove Up/Down buttons on the setup and sort
> > engines by names in both setup and ibus icon menu.
> > Then input method switcher window only will shows the current order.
> 
> Well, does this mean that "default" engine will not be able to set up?

It means you need to change the order by pressing Ctrl+space key after you add an engine in ibus-setup instead of using Up/Down buttons.
The first engine in the input method switcher window would be the default engine.
And ibus always remember the selected IM engine at the last session.
Comment 10 Cheng-Chia Tseng 2012-09-07 06:25:01 EDT
OK, I finally figured this out. :P Thanks.

It's fine with that. I think the description in the dialogue has to adapt to the situation and make it clear.
Comment 11 Fedora End Of Life 2013-07-04 02:33:46 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 12 fujiwara 2013-07-18 04:28:53 EDT
Created attachment 775187 [details]
Patch for setup.ui

I have been thinking the best solution.
Attaching the patch.
Comment 14 Akira TAGOH 2013-07-25 02:00:41 EDT
FWIW EOL is being reached next Tuesday. if you are planning to push this updates for f17, please do it ASAP. otherwise move this bug to the appropriate version.
Comment 15 Fedora Update System 2013-07-29 02:25:23 EDT
ibus-1.5.3-1.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/FEDORA-2013-13720/ibus-1.5.3-1.fc19
Comment 16 Fedora Update System 2013-07-29 02:28:09 EDT
ibus-1.5.3-1.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/FEDORA-2013-13700/ibus-1.5.3-1.fc18
Comment 17 Fedora Update System 2013-08-12 13:57:25 EDT
ibus-1.5.3-1.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 18 Fedora Update System 2013-08-12 13:57:43 EDT
ibus-1.5.3-1.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.